SitePoint Sponsor

User Tag List

Results 1 to 2 of 2
  1. #1
    SitePoint Enthusiast wot-Mike's Avatar
    Join Date
    Oct 2001
    Location
    Netherlands
    Posts
    51
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Upgrading apache...

    Guess this is the best forum to ask this:
    I have a RAQ3, running an ancient apache. No problems so far, but as I learn more I'd like to get more out of it as well. For that I need to upgrade apache.

    The current situation:
    I've got PHP Version 4.0.4pl1 installed as modules, and MySQL 3.22.something. I do not want to risk blowing up the place.

    There's a nice how-to at http://www.sakuralover.com/raq3/upgrade_raq3.htm

    But I'm confused about the PHP thing in there.

    Do I need to reinstall php? Or will PHP continue to work like it did with the old appache?
    Can I leave out the line:
    "--activate-module=src/modules/php4/libphp4.a" \
    in the config.status file, and just go on from there?

    The how-to says you can easily go back by copying the old httpd binary back in place, and yes I backed the whole thing up.
    But I wonder if putting back the old apache also applies if you reinstalled php or something...

    Any insights on this matter?

  2. #2
    SitePoint Enthusiast wot-Mike's Avatar
    Join Date
    Oct 2001
    Location
    Netherlands
    Posts
    51
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Guess it couldn't hurt to start the new apache without any of the php options mentioned in the mini-howto above.

    Well, I'm now running apache 1.3.22, and PHP and MySQL still seem to work.

    If anyone can bring up something I must look out for, let me know. I'm not a Linux person, and need somebody to guide me by the hand every now and then


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •